"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
exports.ProstoreContext = react_1.createContext(null);
function useContextStore(storeOrName) {
    const context = react_1.useContext(exports.ProstoreContext);
    if (typeof storeOrName === 'string') {
        const store = context[storeOrName];
        if (!store) {
            throw new Error(`Store '${storeOrName}' is not registered in the context`);
        }
        return store;
    }
    return storeOrName;
}
exports.useContextStore = useContextStore;
//# sourceMappingURL=ProstoreContext.js.map