/// <reference types="react" />
export declare const ProstoreSsrContext: import("react").Context<ProstoreSsrManager>;
export declare type IStates = {
    [name: string]: any;
};
export interface IProstoreSsrManagerParams {
    isServer?: boolean;
    initialStates?: IStates;
}
export declare class ProstoreSsrManager {
    isServer: boolean;
    states: IStates;
    promises: Set<Promise<any>>;
    constructor({ isServer, initialStates }: IProstoreSsrManagerParams);
    registerPromise(promise: Promise<any>): void;
    hasPromises(): boolean;
    waitForCurrentPromises(): Promise<any>;
    getState(): IStates;
}
