"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
/**
 * Подписка на стор, чтобы актуализировать локальную копию
 */
function useConnectStore(store, setState) {
    react_1.useEffect(() => {
        const sub = store.state$.subscribe((state) => {
            setState(state);
        });
        return () => {
            sub.unsubscribe();
        };
    }, [store, setState]);
}
exports.useConnectStore = useConnectStore;
//# sourceMappingURL=useConnectStore.js.map