import { DependencyList } from 'react';
import { CheckRequestResult } from '@proscom/prostore/lib/storeUtils';
import { IRequestState, RequestStore } from '@proscom/prostore/lib/RequestStore';
export interface UseRequestStoreResult<State> {
    check: CheckRequestResult;
    state: State;
    load: () => void;
}
/**
 * Хук, подключающий компонент к стору и запрашивающий данные
 * в соответствии с variables
 */
export declare function useRequestStore<Vars, Data, Options>(storeOrName: string | RequestStore<Vars, Data, Options>, variables: Vars, options?: Partial<Options>): UseRequestStoreResult<IRequestState<Vars, Data>>;
export declare function useRequestStoreVars<Vars, Data>(storeOrName: string | RequestStore<Vars, Data, any>, variableCreator: () => Vars, args: DependencyList): UseRequestStoreResult<IRequestState<Vars, Data>>;
