"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const ProstoreContext_1 = require("./ProstoreContext");
const useConnectStore_1 = require("./useConnectStore");
/**
 * Хук, подключающий компонент к стору
 */
function useStore(storeOrName) {
    const store = ProstoreContext_1.useContextStore(storeOrName);
    const [state, setState] = react_1.useState(store.state);
    useConnectStore_1.useConnectStore(store, setState);
    return state;
}
exports.useStore = useStore;
/**
 * Хук, подключащий компонент к стору и возвращающий часть состояния
 */
function useStoreSelect(storeOrName, select) {
    const state = useStore(storeOrName);
    return react_1.useMemo(() => select(state), [select, state]);
}
exports.useStoreSelect = useStoreSelect;
//# sourceMappingURL=useStore.js.map